﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using PageSearchDemo.WebPageWebPage.Pagination;
using System.Collections.Specialized;
namespace PageSearchDemo.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
        public ActionResult CustomPager(int? page)
        {
            int pageSize = 3;
            int pageNumber = page ?? 1;
            var list = ListNews.GetList()
                .Where(p => p.Title.Contains(Request.QueryString["title"] ?? ""))
                .Where(p => p.Author.Contains(Request.QueryString["author"] ?? ""));
                
            var pageList=list.Skip((pageNumber - 1) * pageSize).Take(pageSize);
            int total = list.Count();
            CustomPagination<News> customes = new CustomPagination<News>(pageList, pageNumber, pageSize, total);

            return View(customes);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult CustomPager(FormCollection formCollection)
        {
            int pageSize = 3;
            int pageNumber =  1;
            var list = ListNews.GetList().Where(p => p.Title.Contains(Request.Form["title"]))
                .Where(p => p.Author.Contains(Request.Form["author"]));
            int total = list.Count();
            var pageList = list.Skip((pageNumber - 1) * pageSize).Take(pageSize);
            CustomPagination<News> customes = new CustomPagination<News>(pageList, pageNumber, pageSize, total);
            Dictionary<string, string> d = new Dictionary<string, string>();
            d.Add("title", Request.Form["title"]);
            d.Add("author", Request.Form["author"]);
            ViewData["Search"] = d;
            return View(customes);
        }
    }
}
